DtDtsFileToAttributeList(library call)

NAME
DtDtsFileToAttributeList — get a list of attributes for a file

SYNOPSIS

#include &<Dt/Dts.h>
DtDtsAttribute **DtDtsFileToAttributeList(
const char *filepath);

DESCRIPTION

The DtDtsFileToAttributeList function returns a list of attributes for the specified file.

The filepath argument is the pathname of the file.

RETURN VALUE

Upon successful completion, the DtDtsFileToAttributeList function returns a NULL-terminated array of pointers of *DtDtsAttribute, or NULL if no values could be determined.

APPLICATION USAGE

The application should use the DtDtsFreeAttributeList(3) function to release the memory for the returned value.

SEE ALSO

Dt/Dts.h, DtDtsLoadDataTypes(3), DtDtsFreeAttributeList(3).